Bug 2093692 - Package installation issue
Summary: Package installation issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: shadow-utils
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Iker Pedrosa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-05 11:30 UTC by Michal Schorm
Modified: 2022-09-06 10:31 UTC (History)
6 users (show)

Fixed In Version: shadow-utils-4.11.1-3.fc36 shadow-utils-4.9-10.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-09 01:24:34 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker SSSD-4898 0 None None None 2022-07-22 12:58:44 UTC

Description Michal Schorm 2022-06-05 11:30:29 UTC
Issue encountered when running 'dnf install @cinnamon' on a headless server.

Running scriptlet: rtkit-0.11-30.fc36.x86_64
useradd warning: rtkit's uid 172 outside of the SYS_UID_MIN 201 and SYS_UID_MAX 999 range.

Comment 1 Zbigniew Jędrzejewski-Szmek 2022-07-22 11:37:14 UTC
Fedora has a concept of soft-static uids and gids. Some of those are allocated below the SYS_UID_MIN range.
See https://pagure.io/setup/blob/master/f/uidgid for the full list.
Warning about this is a mistake: we are creating this uid on purpose with this value.
This is an error in useradd itself.

Comment 2 Iker Pedrosa 2022-07-22 12:56:20 UTC
The issue was already fixed upstream. I will port it to fedora soon.

Comment 3 Fedora Update System 2022-08-05 08:12:13 UTC
FEDORA-2022-643c68c2f3 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-643c68c2f3

Comment 4 Fedora Update System 2022-08-06 02:50:38 UTC
FEDORA-2022-643c68c2f3 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-643c68c2f3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-643c68c2f3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-08-09 01:24:34 UTC
FEDORA-2022-643c68c2f3 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2022-08-22 11:26:49 UTC
FEDORA-2022-ad62906a26 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-ad62906a26

Comment 7 Fedora Update System 2022-08-23 01:26:16 UTC
FEDORA-2022-ad62906a26 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-ad62906a26`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-ad62906a26

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-09-06 10:31:26 UTC
FEDORA-2022-ad62906a26 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.